Name:		rhn-upgrade
Summary:	RHN Satellite Server upgrade documentation
Version:	5.5.0.18
Release:	1%{?dist}
Group:		RHN/Server
License:	RHN Subscription License
Url:		http://rhn.redhat.com/
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

%define rhnroot /etc/sysconfig/rhn/satellite-upgrade/
%define docroot %{rhnroot}/doc
%define scriptsroot %{rhnroot}/scripts

%define schemaupgraderoot /etc/sysconfig/rhn/schema-upgrade


%description
The rhn-upgrade package is all the documentation needed to upgrade a RHN
Satellite Server. Start with file %{rhnroot}README.
Please contact your Red Hat Support representative with any questions on
following the documentation.

%prep
%setup -q -n %{name}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -m 0750 -d $RPM_BUILD_ROOT%{docroot}
install -m 0750 -d $RPM_BUILD_ROOT%{scriptsroot}
install -m 0400 doc/README $RPM_BUILD_ROOT%{rhnroot}
install -m 0400 doc/*.txt $RPM_BUILD_ROOT%{docroot}
install -m 0750 scripts/* $RPM_BUILD_ROOT%{scriptsroot}
# bug #860143
install -m 0755 -d $RPM_BUILD_ROOT%{schemaupgraderoot}/spacewalk-schema-1.6-to-spacewalk-schema-1.7
install -m 0644 sql/007-rhnPackageGroup-trim.sql.override \
	$RPM_BUILD_ROOT%{schemaupgraderoot}/spacewalk-schema-1.6-to-spacewalk-schema-1.7

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{rhnroot}/*
%{schemaupgraderoot}/*

%changelog
* Thu Oct 25 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.18-1
- 860598 - extend tablespace first backup the db then
- 867408 - fix unique constraint violation during schema upgrade

* Tue Sep 25 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.17-1
- 860143 - fix rhnPackageGroup cleanup (mzazrivec@redhat.com)

* Mon Sep 03 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.16-1
- fix output formatting of satellite-upgrade-estimates

* Fri Aug 17 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.15-1
- typo fixes

* Tue Aug 07 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.14-1
- spec file fix

* Tue Aug 07 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.13-1
- 640273 - unified script for upgrade estimates
- 710138 - point release update: backup before package update
- 708366 - update-ks-profiles: don't iterate over empty sequence
- 650356, 719629, 749038 - upgrades with answer file

* Thu Jun 21 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.2-1
- Satellite 5.5 upgrade documentation

* Mon Apr 16 2012 Michael Mraka <michael.mraka@redhat.com> 5.5.0.1-1
- bumped version

* Mon Apr 16 2012 Michael Mraka <michael.mraka@redhat.com> 5.4.0.26-1
- The rhn-charsets is always available.

* Thu May 26 2011 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.25-1
- 679974 - report conflicting kickstart profile labels

* Wed Apr 20 2011 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.24-1
- instructions for point release updates

* Mon Apr 18 2011 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.23-1
- Support for RHEL-6 in upgrade documentation
- 674800 - instructions to check / set database optimizer
- 679974 - conversion of invalid kickstart profiles
- 679665 - correct virt. guest recognition
- 677377 - correct processing of snippets with unusual filenames
- 666836 - correct documentation link

* Wed Jan 19 2011 Justin Sherrill <jsherril@redhat.com> 5.4.0.22-1
- 670754 - fixing error in entitlement-check when a new channel family is
  discovered in the certificate (jsherril@redhat.com)
- 671014 - fixing error in guest recognition where bios_vendor could be null
  (jsherril@redhat.com)

* Fri Jan 07 2011 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.21-1
- schema upgrade fixes for 653510, 661109, 667232

* Mon Jan 03 2011 Justin Sherrill <jsherril@redhat.com> 5.4.0.20-1
- fixing a few more issues with the upgrade entitlement test script
  (jsherril@redhat.com)

* Mon Jan 03 2011 Justin Sherrill <jsherril@redhat.com> 5.4.0.19-1
- renaming recognize_guests, since it is used as a library, and cleaning up
  imports (jsherril@redhat.com)

* Thu Dec 23 2010 Justin Sherrill <jsherril@redhat.com> 5.4.0.18-1
- 664930 - adding scripts to upgrade to a) convert un-recognized guests to
  guests, b) read a cert and test the software entitlements to verify it can be
  activated without issue (jsherril@redhat.com)

* Fri Dec 10 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.17-1
- 650129 - pull channel info according to valid entitlements

* Wed Dec 08 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.16-1
- 650129 - use correct variable name in logging message

* Wed Dec 08 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.15-1
- 650129 - proper time zone handling
- fix-imported-content: add --list-content option

* Tue Dec 07 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.14-1
- 660635 - fix file conflict with spacewalk-schema

* Thu Dec 02 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.13-1
- 650129 - correctly handle channels without kickstartable trees

* Wed Dec 01 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.12-1
- 650129 - re-enable the trigger after table update

* Wed Dec 01 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.11-1
- 650273 - delete the cache and kickstart just before the upgrade
- 650129 - script to fix data corrupted during upgrade
- 650129 - don't change last_modified values during schema upgrade
- 647769 - do not print warning message if no cobbler snippet exist

* Fri Oct 15 2010 Michael Mraka <michael.mraka@redhat.com> 5.4.0.10-1
- forcing rebuild

* Fri Oct 15 2010 Michael Mraka <michael.mraka@redhat.com> 5.4.0.9-1
- 591549 - kickstart snippet conversion
- 643042 - kickstart profiles conversion

* Wed Oct 06 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.8-1
- 626876 - remove kickstart files before upgrade

* Tue Oct 05 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.7-1
- 640203 - correct satellite restart instructions

* Thu Sep 30 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.6-1
- include pre v5.4 costs in schema upgrade time estimates

* Wed Sep 29 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.5-1
- 607636 - support for upgrading Satellite on a new hostname
- 626876 - delete kickstart files before the upgrade
- 588933 - restructured satellite upgrade documentation
- time estimates for time consuming steps

* Fri Aug 27 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.4-1
- 585012 - 64-bit fix is no longer needed
- documentation & scripts fixes

* Fri Aug 27 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.2-1
- update upgrade documentation for Satellite 5.4
- 585012 - make the db catalog recompilation easier
- 585012 - make the db catalog recompilation easier
- 585012 - be more clear about how to run install.pl during upgrade
- 544314 - use yum check-update correctly
- 526352 - typo fix
- added notes about Oracle 11g

* Thu Sep 24 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.24-1
- 523389 - better estimate for TEMP_TBS consumption

* Tue Sep 22 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.23-1
- 524718 - additional notes for schema upgrade process
- 509112 - better estimate for temporary tablespace requirement
- 523390 - note that filer conversion is a time consuming process
- 523389 - fixes for large temp_tbs & undo_tbs consumption
- 523393 - update-5.3.0-packages script fixing filer conversion problems

* Wed Jul 29 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.21-1
- remove java packages on el4 only (preparation)
- 514041 - consistent summary and detailed upgrade description

* Thu Jul 16 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.20-1
- 511986 - backup / restore nocpulse user ssh key pair
- 512089 - point to correct location for monitoring verification
- 489989 - run db pre upgrade scripts for 5.1.1 and older only

* Wed Jul 15 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.19-1
- 511052 - instructions for rhn-update-monitoring.pl
- 511055 - explain message from rhn-enable-push.pl

* Mon Jul 13 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.17-1
- fixes for 510778, 510742 (documentation cleanup)

* Wed Jul 08 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.16-1
- 510130 - typo fix

* Wed Jul 01 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.15-1
- 509112 - procedure for extending TEMP_TBS

* Tue Jun 23 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.14-1
- don't check $ORACLE_HOME during upgrade
- don't increase number of db processes during upgrade
- don't restore rhn.conf during upgrade

* Thu Jun 18 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.13-1
- document point release update on RHEL5
- upgrade documentation cleanup
* Tue Jun 02 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.12-1
- document 10g embedded db upgrade

* Thu May 28 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.11-1
- documentation cleanup
- instructions for upgrade with selinux

* Tue May 19 2009 Brad Buckingham <bbuckingham@redhat.com> 5.3.0.10-1
- Package rebuild

* Thu May 14 2009 Brad Buckingham <bbuckingham@redhat.com> 5.3.0.9-1
- typo fix (mzazrivec@redhat.com)

* Wed May 06 2009 Devan Goodwin <dgoodwin@redhat.com> 5.3.0.8-1
- fix schema version query (mzazrivec@redhat.com)

* Mon Apr 20 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.7-1
- distinguish up2date from yum (mzazrivec@redhat.com)
- 493466 - remove perl scripts from spec (mzazrivec@redhat.com)
- 493466 - update paths of perl scripts in upgrade documentation (mzazrivec@redhat.com)
- 493466 - remove perl scripts from rhn-upgrade (mzazrivec@redhat.com)
- 490003 - docs: upgrade database to 9.2.0.4 before you can upgrade to 10g (mzazrivec@redhat.com)
- we no longer support upgrades from pre 3.1.5 schemas (mzazrivec@redhat.com)

* Wed Apr 01 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.6-1
- 474555 - restored calling of original RHN::SatInstall routines

* Thu Mar 12 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.5-1
- fixes for 472807, 471993, 487768, 487770, 488090, 488092

* Thu Feb 19 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.4-1
- updated upgrade documentation with rhn-search step

* Tue Feb 17 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.3-1
- 478966 - update documentation in rhn-upgrade
- add dist flag to package release

* Fri Feb 13 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0-5
- imported fixes for 471993, 472574, 472807, 472807

* Wed Dec 17 2008 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0-3
- removed schema upgrade scripts distributed with satellite-schema

* Tue Dec 16 2008 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0-2
- resolved #474555 - added split() from missing split_dsn() routine

* Fri Nov 28 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-23
- resolved #472574 - upgrades from post-3.3 but pre-5.0 releases
- resolved #471993 - upgrades from pre-3.3 releases

* Fri Oct  3 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-22
- #465317 - documentation fix

* Thu Oct  2 2008 Miroslav Suchý <msuchy@redhat.com> 5.2.0-21
- change 5Server to 5 Server
- fixed #464839

* Wed Oct  1 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-18
- added steps for upgrading 9i embedded database backups to 10g

* Wed Sep 17 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-16
- fixed spacing in upgrade documents

* Tue Sep  9 2008 Miroslav Suchý <msuchy@redhat.com> 5.2.0-14
- add note about RHEL5

* Mon Sep  8 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-13
- fixed #461295

* Thu Sep  4 2008 Miroslav Suchý <msuchy@redhat.com> 5.2.0-12
- add notes about RHEL5 and Oracle 10g

* Thu Aug 28 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-11
- fixed #460382

* Tue Jul 22 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-10
- 5.2 branch rebuild

* Tue Jul 15 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-8
- Package rebuild to support 5.2 Satellite upgrades
- rebuild in dist.cvs

* Tue Nov 27 2007 Jan Pazdziora
- Package rebuild to support 5.1 Satellite upgrades
- Added sql upgrade for 5.0 to 5.1

* Fri May 18 2007 Clifford Perry <cperry@redhat.com>
- Package rebuild to support 5.0 Satellite upgrades
- Added sql upgrade for 4.2 to 5.0
- Files renamed from -4 to -5 and content

* Fri Apr 20 2007 Clifford Perry <cperry@redhat.com>
- Added sql upgrade for 4.2.0-4 to 4.2.1-2

* Thu Jan 25 2007 Miroslav Suchy <msuchy@redhat.com>
- sql upgrade from 4.1 to 4.2

* Mon Jun 19 2006 Clifford Perry <cperry@redhat.com>
- Initial build into rpm from tar.gz format.
